| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Concatenate four vectors
Vector Conversions » Concatenate vectors

## Overview

## Functions
v64bfloat16 | concat (v16bfloat16 a0, v16bfloat16 a1, v16bfloat16 a2, v16bfloat16 a3)
v64int16 | concat (v16int16 a0, v16int16 a1, v16int16 a2, v16int16 a3)
v64int8 | concat (v16int8 v0, v16int8 v1, v16int8 v2, v16int8 v3)
v64uint16 | concat (v16uint16 a0, v16uint16 a1, v16uint16 a2, v16uint16 a3)
v64uint8 | concat (v16uint8 v0, v16uint8 v1, v16uint8 v2, v16uint8 v3)
v8cacc64 | concat (v2cacc64 a0, v2cacc64 a1, v2cacc64 a2, v2cacc64 a3)
v8cfloat | concat (v2cfloat v0, v2cfloat v1, v2cfloat v2, v2cfloat v3)
v8cint32 | concat (v2cint32 v0, v2cint32 v1, v2cint32 v2, v2cint32 v3)
v128int4 | concat (v32int4 v0, v32int4 v1, v32int4 v2, v32int4 v3)
v128int8 | concat (v32int8 a0, v32int8 a1, v32int8 a2, v32int8 a3)
v128uint4 | concat (v32uint4 v0, v32uint4 v1, v32uint4 v2, v32uint4 v3)
v128uint8 | concat (v32uint8 a0, v32uint8 a1, v32uint8 a2, v32uint8 a3)
v16acc64 | concat (v4acc64 a0, v4acc64 a1, v4acc64 a2, v4acc64 a3)
v16caccfloat | concat (v4caccfloat a0, v4caccfloat a1, v4caccfloat a2, v4caccfloat a3)
v16cbfloat16 | concat (v4cbfloat16 v0, v4cbfloat16 v1, v4cbfloat16 v2, v4cbfloat16 v3)
v16cfloat | concat (v4cfloat a0, v4cfloat a1, v4cfloat a2, v4cfloat a3)
v16cint16 | concat (v4cint16 v0, v4cint16 v1, v4cint16 v2, v4cint16 v3)
v16cint32 | concat (v4cint32 a0, v4cint32 a1, v4cint32 a2, v4cint32 a3)
v16float | concat (v4float v0, v4float v1, v4float v2, v4float v3)
v16int32 | concat (v4int32 v0, v4int32 v1, v4int32 v2, v4int32 v3)
v16uint32 | concat (v4uint32 v0, v4uint32 v1, v4uint32 v2, v4uint32 v3)
v256int4 | concat (v64int4 a0, v64int4 a1, v64int4 a2, v64int4 a3)
v256uint4 | concat (v64uint4 a0, v64uint4 a1, v64uint4 a2, v64uint4 a3)
v32acc32 | concat (v8acc32 a0, v8acc32 a1, v8acc32 a2, v8acc32 a3)
v32accfloat | concat (v8accfloat a0, v8accfloat a1, v8accfloat a2, v8accfloat a3)
v32bfloat16 | concat (v8bfloat16 v0, v8bfloat16 v1, v8bfloat16 v2, v8bfloat16 v3)
v32cbfloat16 | concat (v8cbfloat16 a0, v8cbfloat16 a1, v8cbfloat16 a2, v8cbfloat16 a3)
v32cint16 | concat (v8cint16 a0, v8cint16 a1, v8cint16 a2, v8cint16 a3)
v32float | concat (v8float a0, v8float a1, v8float a2, v8float a3)
v32int16 | concat (v8int16 v0, v8int16 v1, v8int16 v2, v8int16 v3)
v32int32 | concat (v8int32 a0, v8int32 a1, v8int32 a2, v8int32 a3)
v32uint16 | concat (v8uint16 v0, v8uint16 v1, v8uint16 v2, v8uint16 v3)
v32uint32 | concat (v8uint32 a0, v8uint32 a1, v8uint32 a2, v8uint32 a3)

## Function Documentation

## ◆ concat() [1/33]

v64bfloat16 concat | ( | v16bfloat16 | a0,
|  | v16bfloat16 | a1,
|  | v16bfloat16 | a2,
|  | v16bfloat16 | a3 )

## ◆ concat() [2/33]

v64int16 concat | ( | v16int16 | a0,
|  | v16int16 | a1,
|  | v16int16 | a2,
|  | v16int16 | a3 )

## ◆ concat() [3/33]

v64int8 concat | ( | v16int8 | v0,
|  | v16int8 | v1,
|  | v16int8 | v2,
|  | v16int8 | v3 )

## ◆ concat() [4/33]

v64uint16 concat | ( | v16uint16 | a0,
|  | v16uint16 | a1,
|  | v16uint16 | a2,
|  | v16uint16 | a3 )

## ◆ concat() [5/33]

v64uint8 concat | ( | v16uint8 | v0,
|  | v16uint8 | v1,
|  | v16uint8 | v2,
|  | v16uint8 | v3 )

## ◆ concat() [6/33]

v8cacc64 concat | ( | v2cacc64 | a0,
|  | v2cacc64 | a1,
|  | v2cacc64 | a2,
|  | v2cacc64 | a3 )

## ◆ concat() [7/33]

v8cfloat concat | ( | v2cfloat | v0,
|  | v2cfloat | v1,
|  | v2cfloat | v2,
|  | v2cfloat | v3 )

## ◆ concat() [8/33]

v8cint32 concat | ( | v2cint32 | v0,
|  | v2cint32 | v1,
|  | v2cint32 | v2,
|  | v2cint32 | v3 )

## ◆ concat() [9/33]

v128int4 concat | ( | v32int4 | v0,
|  | v32int4 | v1,
|  | v32int4 | v2,
|  | v32int4 | v3 )

## ◆ concat() [10/33]

v128int8 concat | ( | v32int8 | a0,
|  | v32int8 | a1,
|  | v32int8 | a2,
|  | v32int8 | a3 )

## ◆ concat() [11/33]

v128uint4 concat | ( | v32uint4 | v0,
|  | v32uint4 | v1,
|  | v32uint4 | v2,
|  | v32uint4 | v3 )

## ◆ concat() [12/33]

v128uint8 concat | ( | v32uint8 | a0,
|  | v32uint8 | a1,
|  | v32uint8 | a2,
|  | v32uint8 | a3 )

## ◆ concat() [13/33]

v16acc64 concat | ( | v4acc64 | a0,
|  | v4acc64 | a1,
|  | v4acc64 | a2,
|  | v4acc64 | a3 )

## ◆ concat() [14/33]

v16caccfloat concat | ( | v4caccfloat | a0,
|  | v4caccfloat | a1,
|  | v4caccfloat | a2,
|  | v4caccfloat | a3 )

## ◆ concat() [15/33]

v16cbfloat16 concat | ( | v4cbfloat16 | v0,
|  | v4cbfloat16 | v1,
|  | v4cbfloat16 | v2,
|  | v4cbfloat16 | v3 )

## ◆ concat() [16/33]

v16cfloat concat | ( | v4cfloat | a0,
|  | v4cfloat | a1,
|  | v4cfloat | a2,
|  | v4cfloat | a3 )

## ◆ concat() [17/33]

v16cint16 concat | ( | v4cint16 | v0,
|  | v4cint16 | v1,
|  | v4cint16 | v2,
|  | v4cint16 | v3 )

## ◆ concat() [18/33]

v16cint32 concat | ( | v4cint32 | a0,
|  | v4cint32 | a1,
|  | v4cint32 | a2,
|  | v4cint32 | a3 )

## ◆ concat() [19/33]

v16float concat | ( | v4float | v0,
|  | v4float | v1,
|  | v4float | v2,
|  | v4float | v3 )

## ◆ concat() [20/33]

v16int32 concat | ( | v4int32 | v0,
|  | v4int32 | v1,
|  | v4int32 | v2,
|  | v4int32 | v3 )

## ◆ concat() [21/33]

v16uint32 concat | ( | v4uint32 | v0,
|  | v4uint32 | v1,
|  | v4uint32 | v2,
|  | v4uint32 | v3 )

## ◆ concat() [22/33]

v256int4 concat | ( | v64int4 | a0,
|  | v64int4 | a1,
|  | v64int4 | a2,
|  | v64int4 | a3 )

## ◆ concat() [23/33]

v256uint4 concat | ( | v64uint4 | a0,
|  | v64uint4 | a1,
|  | v64uint4 | a2,
|  | v64uint4 | a3 )

## ◆ concat() [24/33]

v32acc32 concat | ( | v8acc32 | a0,
|  | v8acc32 | a1,
|  | v8acc32 | a2,
|  | v8acc32 | a3 )

## ◆ concat() [25/33]

v32accfloat concat | ( | v8accfloat | a0,
|  | v8accfloat | a1,
|  | v8accfloat | a2,
|  | v8accfloat | a3 )

## ◆ concat() [26/33]

v32bfloat16 concat | ( | v8bfloat16 | v0,
|  | v8bfloat16 | v1,
|  | v8bfloat16 | v2,
|  | v8bfloat16 | v3 )

## ◆ concat() [27/33]

v32cbfloat16 concat | ( | v8cbfloat16 | a0,
|  | v8cbfloat16 | a1,
|  | v8cbfloat16 | a2,
|  | v8cbfloat16 | a3 )

## ◆ concat() [28/33]

v32cint16 concat | ( | v8cint16 | a0,
|  | v8cint16 | a1,
|  | v8cint16 | a2,
|  | v8cint16 | a3 )

## ◆ concat() [29/33]

v32float concat | ( | v8float | a0,
|  | v8float | a1,
|  | v8float | a2,
|  | v8float | a3 )

## ◆ concat() [30/33]

v32int16 concat | ( | v8int16 | v0,
|  | v8int16 | v1,
|  | v8int16 | v2,
|  | v8int16 | v3 )

## ◆ concat() [31/33]

v32int32 concat | ( | v8int32 | a0,
|  | v8int32 | a1,
|  | v8int32 | a2,
|  | v8int32 | a3 )

## ◆ concat() [32/33]

v32uint16 concat | ( | v8uint16 | v0,
|  | v8uint16 | v1,
|  | v8uint16 | v2,
|  | v8uint16 | v3 )

## ◆ concat() [33/33]

v32uint32 concat | ( | v8uint32 | a0,
|  | v8uint32 | a1,
|  | v8uint32 | a2,
|  | v8uint32 | a3 )